"""djangoMarcador URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.contrib.auth import views
from django.urls import path, include, reverse_lazy
from django.conf.urls import url

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('marcador.urls')),
    path('login/', views.LoginView.as_view(template_name = 'login.html'), name='djangoMarcador_login'),
    path('logout/', views.LogoutView.as_view(next_page = reverse_lazy('marcador_bookmark_list')), name='djangoMarcador_logout'),
]

"""
    url(r'^login/$', 'django.contrib.auth.views.login', {'template_name': 'login.html'}, name='mysite_login'),
    url(r'^logout/$', 'django.contrib.auth.views.logout', {'next_page':reversed('marcador_bookmark_list')}, name='mysite_logout'),
"""
